List wallets
curl --request GET \
--url https://app.crown-brlv.com/api/v1/accounts/{account-id}/walletsimport requests
url = "https://app.crown-brlv.com/api/v1/accounts/{account-id}/wallets"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://app.crown-brlv.com/api/v1/accounts/{account-id}/wallets', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"wallets": [
{
"name": "My Trading Wallet",
"address": "0x1234567890abcdef1234567890abcdef12345678",
"assets": [
"eth-base/brlv",
"eth-base/wbrly"
],
"ui-enabled": true,
"metadata": {
"label": "treasury"
}
}
]
}{
"error": {
"type": "<string>",
"message": "<string>",
"code": "<string>"
}
}{
"error": {
"type": "<string>",
"message": "<string>",
"code": "<string>"
}
}{
"error": {
"type": "<string>",
"message": "<string>",
"code": "<string>"
}
}{
"error": {
"type": "<string>",
"message": "<string>",
"code": "<string>"
}
}Wallets
List Wallets
Returns a list of wallets. Can be filtered by assets and/or addresses.
GET
/
api
/
v1
/
accounts
/
{account-id}
/
wallets
List wallets
Path Parameters
Query Parameters
Filter wallets by asset types
Available options:
tempo/brlv, eth-base/brlv, eth-mainnet/brlv, fiat/brl, eth-base/usdt, fiat/usd, eth-mainnet/usdt, eth-mainnet/usdc, eth-base/wbrly, eth-base/usdc, eth-base/brly Example:
[
"eth-base/brlv",
"eth-base/wbrly",
"eth-base/eth-mainnet"
]
Filter wallets by specific addresses
Example:
[
"0x1234567890abcdef1234567890abcdef12345678"
]
Response
Wallets list retrieved successfully
List of wallets
Show child attributes
Show child attributes
⌘I